Status: Closed Start date: December 30, 2012

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/modplug Estimated time: 0.00 hour

Target version: 3.4   

Affects version: 3.3.4   

Description

Since around 7 September 2011 the modplug plugin has been missing the gui code to configure the preferences.

History

#1 - December 30, 2012 13:52 - Michael Schwendt

Very likely it's just waiting for a volunteer to contribute patches that add it back, porting it GTK+ 3 or even Audacious Preferences UI API.

#2 - December 30, 2012 17:35 - John Lindgren

- Tracker changed from Bug to Feature

- Subject changed from modplug plugin missing preferences interface to Configuration GUI for modplug

- Affects version deleted (3.2.4, 3.3.2, 3.3.3)

#3 - April 19, 2013 01:24 - Vladimir Strakh

- File modplug_preferences.patch.gz added

Hi all.

I've been missing modplug preferences too. Googling around brought me here, and I found out that preferences is not a priority.

So, here's my small contribution - patch that adds preferences page to modplug plugin.

It's implemented in terms of Audacious Preferences UI API, and I tried to keep its look as close as possible to old page.

Any chances that it will be accepted?

#4 - April 20, 2013 05:01 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.4

- % Done changed from 0 to 100

- Affects version 3.3.4 added

Hi Vladimir, I've committed an adapted version of your patch:

https://github.com/audacious-media-player/audacious-plugins/commit/55b332ef8c97852fd6fa3b4b4a5cf0cdc0638ee6

Thank you for the contribution; I'm sure it will make a lot of modplug users happy.

#5 - April 20, 2013 05:03 - John Lindgren
https://github.com/audacious-media-player/audacious-plugins/commit/55b332ef8c97852fd6fa3b4b4a5cf0cdc0638ee6


Just to double-check: are you okay with this code entering the public domain (since that's how the rest of the plugin is licensed)?

#6 - April 20, 2013 07:44 - Vladimir Strakh

Going public domain is absolutely ok :)

thx.

Files

modplug_preferences.patch.gz 3.97 KB April 19, 2013 Vladimir Strakh
